| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Gaudi::RootDataConnection::ContainerSection Class Reference

Internal helper class, which described a TBranch section in a ROOT file. More...

`#include <GaudiRootCnv/RootDataConnection.h>`

## Public Member Functions
| ContainerSection ()
| Default constructor. More...
| ContainerSection (int s, int l)
| Initializing constructor. More...
| ContainerSection (const ContainerSection &s)
| Copy constructor. More...
ContainerSection & | operator= (const ContainerSection &s)
| Assignment operator to copy objects. More...

## Public Attributes
int | start
| The start entry of the section. More...
int | length
| The length of the section. More...

## Detailed Description

Internal helper class, which described a TBranch section in a ROOT file.

TBranch sections (ie. an intervall of events) are used to describe files using the ROOT fast merge mechanism.

Author
  M.Frank

Version
  1.0

Date
  20/12/2009

Definition at line 109 of file RootDataConnection.h.

## Constructor & Destructor Documentation

Gaudi::RootDataConnection::ContainerSection::ContainerSection | ( |  | ) |
| inline

Default constructor.

Definition at line 111 of file RootDataConnection.h.

111 : start( -1 ), length( 0 ) {}
Gaudi::RootDataConnection::ContainerSection::length
int length
The length of the section.
Definition: RootDataConnection.h:128
Gaudi::RootDataConnection::ContainerSection::start
int start
The start entry of the section.
Definition: RootDataConnection.h:126

Gaudi::RootDataConnection::ContainerSection::ContainerSection | ( | int | s,
|  | int | l
| ) |  |
| inline

Initializing constructor.

Definition at line 113 of file RootDataConnection.h.

113 : start( s ), length( l ) {}
Gaudi::RootDataConnection::ContainerSection::length
int length
The length of the section.
Definition: RootDataConnection.h:128
Gaudi::RootDataConnection::ContainerSection::start
int start
The start entry of the section.
Definition: RootDataConnection.h:126
gaudirun.l
dictionary l
Definition: gaudirun.py:440
gaudirun.s
string s
Definition: gaudirun.py:253

Gaudi::RootDataConnection::ContainerSection::ContainerSection | ( | const ContainerSection & | s | ) |
| inline

Copy constructor.

Definition at line 115 of file RootDataConnection.h.

115 : start( s.start ), length( s.length ) {}
Gaudi::RootDataConnection::ContainerSection::length
int length
The length of the section.
Definition: RootDataConnection.h:128
Gaudi::RootDataConnection::ContainerSection::start
int start
The start entry of the section.
Definition: RootDataConnection.h:126
gaudirun.s
string s
Definition: gaudirun.py:253

## Member Function Documentation

ContainerSection& Gaudi::RootDataConnection::ContainerSection::operator= | ( | const ContainerSection & | s | ) |
| inline

Assignment operator to copy objects.

Definition at line 117 of file RootDataConnection.h.

118 {
119 if ( this != &s ) {
120 start = s.start;
121 length = s.length;
122 }
123 return *this;
124 }
Gaudi::RootDataConnection::ContainerSection::length
int length
The length of the section.
Definition: RootDataConnection.h:128
Gaudi::RootDataConnection::ContainerSection::start
int start
The start entry of the section.
Definition: RootDataConnection.h:126
gaudirun.s
string s
Definition: gaudirun.py:253

## Member Data Documentation

int Gaudi::RootDataConnection::ContainerSection::length

The length of the section.

Definition at line 128 of file RootDataConnection.h.

int Gaudi::RootDataConnection::ContainerSection::start

The start entry of the section.

Definition at line 126 of file RootDataConnection.h.

The documentation for this class was generated from the following file:

- RootCnv/RootCnv/RootDataConnection.h